View Issue Details

IDProjectCategoryView StatusLast Update
0033305CommunityOCCT:Codingpublic2023-01-21 16:27
Reportertrelau Assigned Torodrlyra  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2019 
Product Version7.7.0 
Target Version7.7.1 
Summary0033305: Coding - BOPTools_PairSelector::Clear method uses "Clear" instead of "clear" on std::vector
DescriptionIt looks like "myPairs" is a std::vector and the Clear method should call lowercase "clear" instead of uppercase "Clear". I get an error when trying to make Python bindings of this method saying that "Clear" is not a member of std::vector.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Activities

szy

2022-12-29 10:57

manager   ~0112760

Svetlana,
now visualization module under your responsibility.

git

2023-01-12 19:59

administrator   ~0112797

Branch CR33305 has been created by rodrlyra.

SHA-1: 669b766af03839e6f0a05638962eb2e1231f7980


Detailed log of new commits:

Author: Rodrigo Lyra
Date: Thu Jan 12 16:43:29 2023 +0000

    0033305: BOPTools_PairSelector::Clear method uses Clear instead of clear on std::vector

git

2023-01-13 13:36

administrator   ~0112798

Branch CR33305 has been updated forcibly by rodrlyra.

SHA-1: 26889addc66d199668e2c319a8e5076e46649b58

eugeny.belousov_162739

2023-01-16 18:12

administrator   ~0112823

Please integrate.

git

2023-01-16 18:17

administrator   ~0112824

Branch CR33305 has been updated forcibly by rodrlyra.

SHA-1: 82f81853050b883e4bc6e07222be8a02df96c985

git

2023-01-16 18:22

administrator   ~0112825

Branch CR33305 has been updated forcibly by rodrlyra.

SHA-1: 1f469e3781cf48efc39bc7d520c0a2f765c1c87d

git

2023-01-21 16:27

administrator   ~0112907

Branch CR33305 has been deleted by mnt.

SHA-1: 1f469e3781cf48efc39bc7d520c0a2f765c1c87d

Related Changesets

occt: master 1f469e37

2023-01-12 19:43:29

rodrlyra

Details Diff
0033305: Coding - BOPTools_PairSelector::Clear method uses "Clear" instead of "clear" on std::vector Affected Issues
0033305
mod - src/BOPTools/BOPTools_PairSelector.hxx Diff File

Issue History

Date Modified Username Field Change
2022-12-28 23:23 trelau New Issue
2022-12-28 23:23 trelau Assigned To => kgv
2022-12-29 10:57 szy Assigned To kgv => sshutina
2022-12-29 10:57 szy Note Added: 0112760
2023-01-03 16:30 sshutina Assigned To sshutina => trelau
2023-01-03 16:31 sshutina Assigned To trelau => eugeny.belousov_162739
2023-01-11 17:43 eugeny.belousov_162739 Assigned To eugeny.belousov_162739 => rodrlyra
2023-01-12 19:59 git Note Added: 0112797
2023-01-12 20:15 rodrlyra Assigned To rodrlyra => eugeny.belousov_162739
2023-01-12 20:15 rodrlyra Status new => resolved
2023-01-12 20:15 rodrlyra Steps to Reproduce Updated
2023-01-13 13:36 git Note Added: 0112798
2023-01-13 15:05 dpasukhi Summary BOPTools_PairSelector::Clear method uses "Clear" instead of "clear" on std::vector => Coding - BOPTools_PairSelector::Clear method uses "Clear" instead of "clear" on std::vector
2023-01-16 18:12 eugeny.belousov_162739 Assigned To eugeny.belousov_162739 => bugmaster
2023-01-16 18:12 eugeny.belousov_162739 Status resolved => reviewed
2023-01-16 18:12 eugeny.belousov_162739 Note Added: 0112823
2023-01-16 18:17 git Note Added: 0112824
2023-01-16 18:22 git Note Added: 0112825
2023-01-21 16:23 rodrlyra Changeset attached => occt master 1f469e37
2023-01-21 16:23 rodrlyra Assigned To bugmaster => rodrlyra
2023-01-21 16:23 rodrlyra Status reviewed => verified
2023-01-21 16:23 rodrlyra Resolution open => fixed
2023-01-21 16:27 git Note Added: 0112907